Skip to content
getgeolens.com

Landing Page

GET
/stac/
curl --request GET \
--url https://example.com/api/stac/

STAC Catalog landing page.

Successful Response

Media type application/json
StacCatalog

STAC Catalog / landing page response.

object
type
Type

STAC object type. Always ‘Catalog’ for the landing page.

string
default: Catalog
id
required
Id

Stable identifier for the catalog.

string
stac_version
Stac Version

STAC specification version implemented.

string
default: 1.0.0
title
required
Title

Catalog title.

string
description
required
Description

Human-readable catalog description.

string
conformsTo
required
Conformsto

List of conformance URIs declaring which STAC and OGC API standards the catalog implements.

Array<string>
links
required
Links

Catalog navigation links (self, root, search, collections, etc.).

Array<object>
StacLink

A single STAC link object.

object
href
required
Href

Target URL of the link.

string
rel
required
Rel

Link relation type (e.g. ‘self’, ‘root’, ‘parent’, ‘item’, ‘data’).

string
type
Any of:
string
method
Any of:
string
Example
{
"type": "Catalog",
"stac_version": "1.0.0"
}